<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>HTML списки</title>
</head>
<body>
    <h1>HTML списки</h1>
    <p>HTML поддерживает списки трех разных типов, для каждоrо из которых <br> предусмотрены свои собственные теrи:</p> 
    <ul>
        <li> &lt;ol&gt; – нумерованный (с помощью цифр или букв) список, каждый элемент которого имеет порядковый номер (букву);</li>
        <li> &lt;ul&gt; – маркированный (не нумерованный) список, рядом с каждым элементом которого помещается маркер (а не цифровые или
            буквенные символы, обозначающие порядковый номер);</li>
        <li> &lt;dl&gt; – список определений состоит из пар «имя/значение», в том числе терминов и определений.</li>
    </ul>
    <ol>
        <li> <b>Нумерованные списки</b></li>
        <ul>
            <li>В нумерованный список браузер автоматически вставляет номера элементов по порядку, начиная с некоторого значения (обычно
            1). Это позволяет вставлять и удалять пункты списка, не нарушая нумерации, так как остальные номера автоматически будут
            пересчитаны. <br> <i>Examle:</i></li>
                <ol>
                    <li> 
                        Пошаговая инструкция
                            <ol>
                                <li> Достать ключ</li>
                                <li>Вставить ключ в замок</li>
                                <li>Повернуть ключ на два оборота</li>
                                <li>Достать ключ из замка</li>
                                <li>Открыть дверь</li> 
                            </ol>
                        
                    </li>
                </ol>

            <li>Иногда при просмотре существующих кодов HTML вы будете встречать аргумент type в элементе &lt;ol&gt;, который используется для
                указания типа нумерации (буквы, римские и арабские цифры и т.п.). Синтаксис: <br>
                &lt;ol type="A|a|I|i|1"&gt;&lt;/ol&gt; <br>
            Здесь: type – символы списка:

                <ul>
                <li>A — прописные латинские буквы (A, B, C . . .);</li>
                <li>a — строчные латинские буквы (a, b, c . . .);</li>
                <li>I — большие римские цифры (I, II, III . . .);</li>
                <li>i — маленькие римские цифры (i, ii, iii . . .);</li>
                <li>1 — арабские цифры (1, 2, 3 . . .) (применяется по умолчанию).</li>
                </ul>
            </li>
            <li>Если вы хотите, чтобы список начинался с номера,      отличного  от 1, следует указать это при помощи атрибута start тега &lt;ol&gt;.
                В следующем примере показан нумерованный список с большими римскими цифрами и начальным значением XLIX: <br>
                <i>Examle:</i>
                <ul>
                    <li>
                        XLIX. Перепела <br>
                        L. Фазаны<br>
                        LI. Куропатки<br>
                        LII. Павлины<br>
                    </li>
                    <li></li>
                </ul>
            </li>
        </ul>
        <li><b>Маркированные списки</b></li>
           <p> Маркированные списки по сути похожи на нумерованные только  они не содержат последовательной нумерации пунктов.
            Маркированные списки создаются с помощью блочного элемента &lt;ul&gt; (от англ. Unordered List – ненумерованный список).
            Каждый элемент списка, как и в нумерованных списках, начинается с тега &lt;li&gt;. Браузер формирует отступ для каждого
            пункта списка и автоматически отображает маркеры.
            Тег &lt;ul&gt; имеет следующий синтаксис: 
            </p>
                &lt;ul>&gt; <br>                      
                &lt;li>&gt;Первый пункт &lt;/li&gt; <br>
                        &lt;li>&gt;Второй пункт &lt;/li&gt; <br>
                        &lt;li>&gt;Третий пункт &lt;/li&gt; <br>
                    &lt;/ul&gt; <br> <br>
                     <i> Result: </i>
                    <ul>
                        <li>Первый пункт </li>
                        <li>Второй пункт </li>
                        <li>Третий пункт </li>
                    </ul>
        <li><b>Вложенные списки</b></li>
        <p> Любой список может быть вложен в другой. Внутри элемента &lt;li&gt; допустимо создание вложенного списка, или списка второго
            уровня. Для вложения списка опишите новый список внутри элемента
        &lt;li&gt; уже имеющегося списка. При вложении одного маркированного списка в другой браузер автоматически меняет стиль
            маркера для списка второго уровня. Любой список может быть вложен в другой. Следующий пример демонстрирует структуру
            маркированного списка, вложенного во второй пункт нумерованного.
        </p>
            <ul>
                <li><i>Exmple:</i></li>
                <ul>
                    <li> Понедельник
                        <ol>
                            <li>Отправить почту</li>
                            <li>Визит к редактору
                                <ul>
                                    <li>Выбор темы</li>
                                    <li>Дкаративное оформление</li>
                                    <li>Заключительный отчет</li>
                                </ul>
                            </li>
                            <li>Вечерний просмотр сообщений</li>
                        </ol>
                    </li>
                    <li> Вторник
                        <ol>
                            <li>Пересмотреть график</li>
                            <li>Отправить изображения</li>
                        </ol>
                    </li>
                    <li> Среда
                        ...
                </ul>
            </ul>
        <li><b>Списки определений (описаний)</b></li>
        <p> Списки определений очень удобны для создания, например, вашего личного словаря терминов. У каждого пункта списка
        определений есть две части: термин и его определение.
        Вы помещаете весь список в элемент &lt;dl&gt; (от англ. Definition List – список определений). Он включает в себя теги &lt;dt&gt;
                (от англ. Definition Term – определяемое слово, термин) и
            &lt;dd&gt; (от англ. Definition Description – описание определяемого термина).
                Списки определений часто используют в научно-технических и учебных изданиях, оформляя с их помощью глоссарии,
                словари, справочники и т.д.
        </p>
        <dl>
            <dt>Первый термин</dt>
            <dd>Описание первого термина</dd>
            <dt>Второй термин</dt>
            <dd>Описание второго термина</dd>
        </dl>
    </ol>
</body>
</html>